VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference:
[legend]

## Public Member Functions

| InputAttachmentAspectReference (uint32_t subpass_=0, uint32_t inputAttachmentIndex_=0, ImageAspectFlags aspectMask_=ImageAspectFlags())
| InputAttachmentAspectReference (VkInputAttachmentAspectReference const &rhs)
InputAttachmentAspectReference & | operator= (VkInputAttachmentAspectReference const &rhs)
InputAttachmentAspectReference & | setSubpass (uint32_t subpass_)
InputAttachmentAspectReference & | setInputAttachmentIndex (uint32_t inputAttachmentIndex_)
InputAttachmentAspectReference & | setAspectMask (ImageAspectFlags aspectMask_)
| operator VkInputAttachmentAspectReference const & () const
| operator VkInputAttachmentAspectReference & ()
bool | operator== (InputAttachmentAspectReference const &rhs) const
bool | operator!= (InputAttachmentAspectReference const &rhs) const

## Data Fields

uint32_t | subpass
uint32_t | inputAttachmentIndex
ImageAspectFlags | aspectMask

## Detailed Description

Definition at line 25618 of file vulkan.hpp.

## Constructor & Destructor Documentation

## InputAttachmentAspectReference() [1/2]

VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::InputAttachmentAspectReference | ( | uint32_t | subpass_ = `0`,
|  | uint32_t | inputAttachmentIndex_ = `0`,
|  | ImageAspectFlags | aspectMask_ = `ImageAspectFlags()`
| ) |  |

inline

Definition at line 25620 of file vulkan.hpp.

: subpass( subpass_ )
, inputAttachmentIndex( inputAttachmentIndex_ )
, aspectMask( aspectMask_ )
{
}

## InputAttachmentAspectReference() [2/2]

VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::InputAttachmentAspectReference | ( | VkInputAttachmentAspectReference const & | rhs | ) |

inline

Definition at line 25629 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( InputAttachmentAspectReference ) );
}

References memcpy.

## Member Function Documentation

## operator VkInputAttachmentAspectReference &()

VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::operator VkInputAttachmentAspectReference & | ( |  | ) |

inline

Definition at line 25662 of file vulkan.hpp.

{
return *reinterpret_cast<VkInputAttachmentAspectReference*>(this);
}

## operator VkInputAttachmentAspectReference const &()

VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::operator VkInputAttachmentAspectReference const & | ( |  | ) | const

inline

Definition at line 25657 of file vulkan.hpp.

{
return *reinterpret_cast<const VkInputAttachmentAspectReference*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::operator!= | ( | InputAttachmentAspectReference const & | rhs | ) | const

inline

Definition at line 25674 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

InputAttachmentAspectReference& VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::operator= | ( | VkInputAttachmentAspectReference const & | rhs | ) |

inline

Definition at line 25634 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( InputAttachmentAspectReference ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::operator== | ( | InputAttachmentAspectReference const & | rhs | ) | const

inline

Definition at line 25667 of file vulkan.hpp.

{
return ( subpass == rhs.subpass )
&& ( inputAttachmentIndex == rhs.inputAttachmentIndex )
&& ( aspectMask == rhs.aspectMask );
}

References aspectMask, inputAttachmentIndex, and subpass.

Referenced by operator!=().

## setAspectMask()

InputAttachmentAspectReference& VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::setAspectMask | ( | ImageAspectFlags | aspectMask_ | ) |

inline

Definition at line 25651 of file vulkan.hpp.

{
aspectMask = aspectMask_;
return *this;
}

References aspectMask.

## setInputAttachmentIndex()

InputAttachmentAspectReference& VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::setInputAttachmentIndex | ( | uint32_t | inputAttachmentIndex_ | ) |

inline

Definition at line 25645 of file vulkan.hpp.

{
inputAttachmentIndex = inputAttachmentIndex_;
return *this;
}

References inputAttachmentIndex.

## setSubpass()

InputAttachmentAspectReference& VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::setSubpass | ( | uint32_t | subpass_ | ) |

inline

Definition at line 25639 of file vulkan.hpp.

{
subpass = subpass_;
return *this;
}

References subpass.

## Field Documentation

## aspectMask

ImageAspectFlags VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::aspectMask

Definition at line 25681 of file vulkan.hpp.

Referenced by operator==(), and setAspectMask().

## inputAttachmentIndex

uint32_t VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::inputAttachmentIndex

Definition at line 25680 of file vulkan.hpp.

Referenced by operator==(), and setInputAttachmentIndex().

## subpass

uint32_t VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::subpass

Definition at line 25679 of file vulkan.hpp.

Referenced by operator==(), and setSubpass().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkInputAttachmentAspectReference
Definition: vulkan_core.h:4220
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::aspectMask
ImageAspectFlags aspectMask
Definition: vulkan.hpp:25681
VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::operator==
bool operator==(InputAttachmentAspectReference const &rhs) const
Definition: vulkan.hpp:25667
VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::InputAttachmentAspectReference
InputAttachmentAspectReference(uint32_t subpass_=0, uint32_t inputAttachmentIndex_=0, ImageAspectFlags aspectMask_=ImageAspectFlags())
Definition: vulkan.hpp:25620
VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::inputAttachmentIndex
uint32_t inputAttachmentIndex
Definition: vulkan.hpp:25680
VULKAN_HPP_NAMESPACE::InputAttachmentAspectReference::subpass
uint32_t subpass
Definition: vulkan.hpp:25679